<!DOCTYPE html>
<html lang="en">
    <head>
        <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
        <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
        <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>    
        <!------ Include the above in your HEAD tag ---------->
        <link rel="stylesheet" href="/stylesheets/dashboard-admin.css">
        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-T8Gy5hrqNKT+hzMclPo118YTQO6cYprQmhrYwIiQ/3axmI1hQomh7Ud2hPOy8SP1" crossorigin="anonymous">
    </head>
    <body class="home">
        <div class="container-fluid display-table">
            <div class="row display-table-row">
                <div class="col-md-2 col-sm-1 hidden-xs display-table-cell v-align box" id="navigation">
                    <div class="logo">
                        <a hef="home.html"><img src="/images/logo.png" alt="merkery_logo" class="hidden-xs hidden-sm">
                            <img src="http://jskrishna.com/work/merkury/images/circle-logo.png" alt="merkery_logo" class="visible-xs visible-sm circle-logo">
                        </a>
                    </div>
                    <div class="navi">
                        <ul>
                            <li><a href=/users/<%= data.username %> ><i class="fa fa-home" aria-hidden="true"></i><span class="hidden-xs hidden-sm">Home</span></a></li>
                            <li class="active"><a href=/users/profile/<%= data.username %> ><i class="fa fa-calendar" aria-hidden="true"></i><span class="hidden-xs hidden-sm">Profile</span></a></li>
                            <li><a href=/game/history/<%= data.username %> ><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-xs hidden-sm">Statistics</span></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-10 col-sm-11 display-table-cell v-align">
                    <!--<button type="button" class="slide-toggle">Slide Toggle</button> -->
                    <div class="row">
                        <header>
                            <div class="col-md-7">
                                <nav class="navbar-default pull-left">
                                    <div class="navbar-header">
                                        <button type="button" class="navbar-toggle collapsed" data-toggle="offcanvas" data-target="#side-menu" aria-expanded="false">
                                            <span class="sr-only">Toggle navigation</span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                        </button>
                                    </div>
                                </nav>
                                <div class="search hidden-xs hidden-sm">
                                    <input type="text" placeholder="Search" id="search">
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="header-rightside">
                                    <button type="submit" class="btn btn-primary float-right" onclick=logoutHandle()>Logout</button>
                                </div>
                            </div>
                        </header>
                    </div>
                    <div class="user-dashboard">
                        <h1>Hello, <%= data.username %> </h1>
                        <div class="container menu-list">
                            <table class="table">
                              <thead>
                                <tr>
                                    <th scope="col">Username</th>
                                    <th scope="col">Password</th>
                                    <th scope="col">email</th>
                                    <th scope="col">Fullname</th>
                                    <th scope="col">Address</th>
                                    <th scope="col">Gender</th>
                                    <th scope="col">Last Update</th>
                                </tr>
                              </thead>
                              <tbody>
                                  <tr id="<%= data.id %>">
                                    <td><%= data.username %></td>
                                    <td><%= data.password %></td>
                                    <td><%= dataBiodata.email %></td>
                                    <td><%= dataBiodata.name %></td>
                                    <td><%= dataBiodata.address %></td>
                                    <td><%= dataBiodata.gender %></td>
                                    <td><%= dataBiodata.updatedAt %></td>
                                    <td>
                                      <button type="submit" class="btn btn-primary" id="editButton" onclick=updateProfilePrepare(<%= data.id %>) >Edit</button>
                                    </td>
                                  </tr>
                              </tbody>
                            </table>

                        <div class="container add-menu" style="display: none;" id="editForm">
                            <div class="form-group">
                                <input class="form-control" placeholder="Username" id="username">
                              </div>
                              <div class="form-group">
                                <input type="password" class="form-control" placeholder="Password" id="password">
                              </div>
                              <div class="form-group">
                                  <input type="text" class="form-control" placeholder="Email" id="email">
                                </div>
                              <div class="form-group">
                                <input type="text" class="form-control" placeholder="Fullname" id="fullname">
                              </div>
                              <div class="form-group">
                                <input type="text" class="form-control" placeholder="Address" id="address">
                              </div>
                              <div class="form-group">
                                <input type="text" class="form-control" placeholder="gender" id="gender">
                              </div>
                              <button type="submit" class="btn btn-primary" id="editButton" onclick=updateProfileHandler("<%= data.username %>") >Update</button>
                            </div>
                </div>
            </div>
    
        </div>
        <script src="/javascripts/script.js"></script>
</body>
</html>